Get presence of users belonging to a Department of a site

GET /internal/admin/comms/v1/user-presence/{siteName}/{deptName}

Operation id: get__internal_admin_comms_v1_user_presence_siteName_deptName_

Description

Get presence of users belonging to a Department of a site

Tags: User Presence

Parameters

Path parameters

NameTypeRequiredDescription
deptNamestringYesDepartment Name
siteNamestringYesSite Name

Query parameters

NameTypeRequiredDescription
pageintegerNopage number
pageSizeintegerNopage size (Default - 20, Max - 50)
tenantIdstringYesTenant ID

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

401 — Unauthorized

Content type: application/json

403 — Forbidden

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusCodeintegerNo
presencesarrayNo
{
  "type": "object",
  "properties": {
    "statusCode": {
      "type": "integer"
    },
    "presences": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "userLogin": {
            "type": "string"
          },
          "presence": {
            "type": "string"
          },
          "updatedAt": {
            "type": "string"
          }
        }
      }
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusCodeintegerNo
detailsstringNo
{
  "type": "object",
  "properties": {
    "statusCode": {
      "type": "integer"
    },
    "details": {
      "type": "string"
    }
  }
}

401 — Unauthorized

Content type: application/json

Schema

PropertyTypeRequiredDescription
CodeintegerNo
MessagestringNo
{
  "type": "object",
  "properties": {
    "Code": {
      "type": "integer",
      "example": 0
    },
    "Message": {
      "type": "string"
    }
  }
}

403 — Forbidden

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusCodeintegerNo
detailsstringNo
{
  "type": "object",
  "properties": {
    "statusCode": {
      "type": "integer"
    },
    "details": {
      "type": "string"
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusCodeintegerNo
detailsstringNo
{
  "type": "object",
  "properties": {
    "statusCode": {
      "type": "integer"
    },
    "details": {
      "type": "string"
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusCodeintegerNo
detailsstringNo
{
  "type": "object",
  "properties": {
    "statusCode": {
      "type": "integer"
    },
    "details": {
      "type": "string"
    }
  }
}